> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get WebhookEvent entities.

> Fetches WebhookEvent entities: the log of sent webhook events, newest first. Filter by webhook, event type or status.

- Product: Webhook events
- Section: WebhookEvent
- Snapshot: Current
- Method: `GET`
- Path: `/api/webhook_events/`

## Query parameters

### `webhook`

Type: `number`  
Required: no  

### `event`

Type: `string`  
Required: no  

### `status`

Type: `string`  
Required: no  

### `offset`

Type: `number`  
Required: no  
Default: `0`  

### `limit`

Type: `number`  
Required: no  
Default: `25`  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.webhookEvents.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/webhook_events/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": "id",
    "event": "event",
    "subjectId": 0,
    "webhook": {
      "id": 0,
      "url": "url",
      "secret": "secret",
      "description": "description",
      "events": [],
      "active": true
    },
    "payload": [],
    "status": "pending",
    "responseStatusCode": 0,
    "attempts": 0,
    "error": "error"
  }
]
```

##### Schema

###### WebhookEvent[]

Type: `WebhookEvent[]`  

###### WebhookEvent

Type: `WebhookEvent`  

###### `id`

Type: `string`  
Required: yes  

###### `event`

Type: `string`  
Required: yes  

###### `subjectId`

Type: `number`  
Required: yes  

###### `payload`

Type: `object`  
Required: no  

###### `status`

Type: `string`  
Required: no  
Default: `pending`  

###### `responseStatusCode`

Type: `number`  
Required: no  

###### `attempts`

Type: `number`  
Required: no  
Default: `0`  

###### `error`

Type: `string`  
Required: no  

###### `webhook`

Type: `Webhook`  
Required: yes  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: no  

###### `url`

Type: `string`  
Required: yes  

###### `secret`

Type: `string`  
Required: yes  

###### `events`

Type: `string[]`  
Required: no  

###### string

Type: `string`  

###### `active`

Type: `boolean`  
Required: no  
Default: `true`  

## Related representations

- [Human documentation](/webhook-events/methods/list/)
- [TypeScript Markdown](/webhook-events/methods/list.md?lang=typescript)
- [curl Markdown](/webhook-events/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/webhook-events/llms.txt)
- [snapshot llms.txt](/webhook-events/llms.txt)
